Bug 643767

Summary: preupgrade do not removes system-config-display
Product: [Fedora] Fedora Reporter: Luca Botti <luca.botti>
Component: preupgradeAssignee: Richard Hughes <rhughes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: rhughes
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 15:56:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Luca Botti 2010-10-17 19:12:27 EDT
Description of problem:
System-config-display of Fedora 13 is left behind after a preupgrade to Fedora 14

Version-Release number of selected component (if applicable):
current preupgrade


How reproducible:
Don't know


Steps to Reproduce:
1.Install Fedora 13 and updates
2.launch preupgrade
3.select fedora laughlin
  
Actual results:
system-config-display of fedora 13 is left on the system

Expected results:
System-config-display should be removed, since it requires an older version of python

Additional info:
Comment 1 Richard Hughes 2010-10-18 04:18:22 EDT
(In reply to comment #0)
> System-config-display should be removed, since it requires an older version of
> python

Does this leave unresolved deps (run "yum check")? Removing packages is not something preupgrade should be doing at all IMO.
Comment 2 Fedora End Of Life 2012-08-16 15:56:10 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping